import App
import Foundation
import LoadQBautostart
import MissionLib

mode = Foundation.MutatorDef("QBautostart Extension V0.7")


class EngineeringExtensionTrigger_init(Foundation.TriggerDef):
        def __init__(self, name, eventKey, dict = {}):
                Foundation.TriggerDef.__init__(self, name, eventKey, dict)
                LoadQBautostart.EngineeringInit = 0

        def __call__(self, pObject, pEvent, dict = {}):
                LoadQBautostart.ImportQBautostart()
                if not LoadQBautostart.PlayerShip:
                        LoadQBautostart.PlayerShip = str(MissionLib.GetShip("Player"))
                LoadQBautostart.EngineeringInit = 1
        def Deactivate(self):
                LoadQBautostart.ImportQBautostart(3) # Exit
                LoadQBautostart.EngineeringInit = 0


class EngineeringExtensionTrigger_Restart(Foundation.TriggerDef):
        def __init__(self, name, eventKey, dict = {}):
                Foundation.TriggerDef.__init__(self, name, eventKey, dict)

        def __call__(self, pObject, pEvent, dict = {}):
                if LoadQBautostart.EngineeringInit:
                        if (MissionLib.GetPlayer().GetName() == "Player") and (str(MissionLib.GetPlayer()) != LoadQBautostart.PlayerShip):
                                LoadQBautostart.ImportQBautostart(1) # Restart
                                LoadQBautostart.PlayerShip = str(MissionLib.GetShip("Player"))
                        else:
                                LoadQBautostart.ImportQBautostart(2) # New ship

EngineeringExtensionTrigger_init('Engineering Extension Trigger init', App.ET_MISSION_START, dict = { 'modes': [ mode ] } )
EngineeringExtensionTrigger_Restart('Engineering Extension Trigger Restart', App.ET_SET_PLAYER, dict = { 'modes': [ mode ] } )
